package org.example.designpatterns.factory;

import org.example.designpatterns.factory.interfaces.IConnection;

public class App {

    public static void main(String[] args) {
        ConnectionFactory factory = new ConnectionFactory();

        IConnection cx1 = factory.getConnection("MYSQL");
        cx1.conectar();
        cx1.desconectar();

        IConnection cx2 = factory.getConnection("POSTGRE");
        cx2.conectar();
        cx2.desconectar();

        IConnection cx3 = factory.getConnection("H2");
        cx3.conectar();
        cx3.desconectar();
    }
}
